{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
{% endblock %}


{% block barra_horizontal %}
    {% if experimento.ensaio.kit.agendavel == True and experimento.ensaio.executavel == True %}
    <a href="{% url 'educacao:criar_execucao' experimento.id %}"
       class="btn btn-info botao-barra-horizontal">
        Criar execução do experimento
    </a>
    {% endif %}

    <a href="{% url 'educacao:responder_relatorio' experimento.avaliacao.id %}"
       class="btn btn-warning botao-barra-horizontal">
        Voltar
    </a>
{% endblock %}


{% block corpo_pagina %}
<div class="container-fluid bg-light rounded-top">
    <h2 style="margin-top: 10px">
        {{ experimento.ensaio.nome }}
        do {{ experimento.avaliacao.titulo }} ({{ experimento.avaliacao.disciplina.nome }})
    </h2>

    {% if experimento.ensaio.kit.em_manutencao == True %}
        <p style="background-color: red; color: white; font-weight: bold;">
            O kit está em manutenção e por isso não está disponível para uso. Por favor tente novamente mais tarde.
        </p>

    {% elif experimento.ensaio.kit.agendavel == False or experimento.ensaio.executavel == False %}
        <p style="background-color: red; color: white; font-weight: bold;">
            O prazo encerrou e portanto não é mais possível criar execuções.
            Contudo você ainda pode acessar os conteúdos dos ensaios
            realizados previamente.
        </p>
    {% endif %}

    {% if execucoes.count > 0 %}
    <p></p>

    <table class="tabela-lista" id="tabela-execucoes">
        <thead>
            <tr>
                <th></th>
                <th>Protocolo</th>
                <th>Horário</th>
                <th>Estado</th>
            </tr>
        </thead>
        <tbody>
            {% for execucao in execucoes %}
            <tr>
                <td>
                    {% if execucao.estado == execucao.ESTADO_PARAMETROS_PREENCHIDOS or execucao.estado == execucao.ESTADO_AGUARDANDO_PARAMETROS %}
                        <a href="{% url 'educacao:editar_execucao' experimento.id execucao.id %}"
                           data-toggle="tooltip" data-placement="bottom" title="Editar execução">
                            <img src="{% static 'icones/editar.svg' %}" alt="Editar execução">
                        </a>

                    {% elif execucao.estado == execucao.ESTADO_FINALIZADO or execucao.estado == execucao.ESTADO_RENDERIZANDO_VIDEO %}
                        <a href="{% url 'educacao:ver_execucao' experimento.id execucao.id %}"
                           data-toggle="tooltip" data-placement="bottom" title="Ver parâmetros da execução">
                            <img src="{% static 'icones/ver.svg' %}" alt="Ver parâmetros da execução">
                        </a>

                        {% if execucao.comentario %}
                            <a href="#" data-toggle="popover" title="Meu comentário" data-content="{{ execucao.comentario }}">
                        {% endif %}

                        {% if execucao.tag == execucao.TAG_BOM %}
                            <img src="{% static 'icones/certo.svg' %}">
                        {% elif execucao.tag == execucao.TAG_RUIM %}
                            <img src="{% static 'icones/errado.svg' %}">
                        {% elif execucao.tag == execucao.TAG_DUVIDA %}
                            <img src="{% static 'icones/duvida.svg' %}">
                        {% elif execucao.tag == execucao.TAG_FAVORITO %}
                            <img src="{% static 'icones/coroa.svg' %}">
                        {% endif %}

                        {% if execucao.comentario %}
                            </a>
                        {% endif %}

                        <a href="{% url 'educacao:duplicar_execucao' experimento.id execucao.id %}"
                           data-toggle="tooltip" data-placement="bottom" title="Duplicar execução">
                            <img src="{% static 'icones/duplicar.svg' %}">
                        </a>
                    {% endif %}

                    {% if execucao.estado == execucao.ESTADO_PARAMETROS_PREENCHIDOS %}
                    {% if experimento.ensaio.kit.em_manutencao == False %}
                    {% if experimento.ensaio.executavel == True %}
                    <a href="{% url 'educacao:executar_experimento' experimento.id execucao.id %}"
                       data-toggle="tooltip" data-placement="bottom" title="Executar experimento">
                        <img src="{% static 'icones/play.svg' %}" alt="Executar experimento">
                    </a>
                    {% endif %}
                    {% endif %}
                    {% endif %}
                </td>
                <td> #{{ execucao.id }} </td>
                <td>
                    {% if execucao.data_inicio %}
                        {{ execucao.data_inicio|date:"d/m/y (H:m:s" }}
                            {% if execucao.data_termino %}
                                até {{ execucao.data_termino|date:"H:m:s)" }}
                            {% else %}
                                )
                            {% endif %}
                    {% endif %}
                </td>
                <td>
                    {% if execucao.estado == execucao.ESTADO_AGUARDANDO_PARAMETROS %}
                        <p>Aguardando parâmetros</p>
                    {% elif execucao.estado == execucao.ESTADO_PARAMETROS_PREENCHIDOS %}
                        <p>Pronto para executar</p>
                    {% elif execucao.estado == execucao.ESTADO_NA_FILA %}
                        <p>Na fila</p>
                    {% elif execucao.estado == execucao.ESTADO_EXECUTANDO %}
                        <p>Executando</p>
                    {% elif execucao.estado == execucao.ESTADO_RENDERIZANDO_VIDEO %}
                        <p>Renderizando vídeo</p>
                    {% elif execucao.estado == execucao.ESTADO_FINALIZADO %}
                        <p>Finalizado</p>
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    {% else %}
        <p>Nenhuma execução realizada!</p>
    {% endif %}

</div>

{% endblock %}


{% block javascript %}
    $(document).ready(function(){
      $('[data-toggle="popover"]').popover();
    });
{% endblock %}
